start-tunnel(1)

NAME
start-tunnel

SYNOPSIS
start-tunnel [-c|--config] [-H|--host] [-r|--registry] [--registry-hostname] [--s9pk-s3base] [--s9pk-s3bucket] [-t|--tunnel] [-p|--proxy] [--cookie-path] [--developer-key-path] [-h|--help] [-V|--version] [subcommands]

DESCRIPTION

OPTIONS

-c, --config <CONFIG>
    Path to configuration file

-H, --host <HOST>
    URL of the StartOS server

-r, --registry <REGISTRY>
    URL of the registry

--registry-hostname <REGISTRY_HOSTNAME>
    Registry server hostname

--s9pk-s3base <S9PK_S3BASE>
    Base URL for publishing s9pks

--s9pk-s3bucket <S9PK_S3BUCKET>
    S3 bucket to publish s9pks to (should correspond to s3base)

-t, --tunnel <TUNNEL>
    Tunnel server address

-p, --proxy <PROXY>
    HTTP/SOCKS proxy URL

--cookie-path <COOKIE_PATH>
    Path to cookie file

--developer-key-path <DEVELOPER_KEY_PATH>
    Path to developer signing key

-h, --help
    Print help

-V, --version
    Print version

SUBCOMMANDS

start-tunnel-auth(1)
    Add or remove authorized clients

start-tunnel-db(1)
    Commands to interact with the db i.e. dump and apply

start-tunnel-device(1)
    Add, remove, or list devices in subnets

start-tunnel-port-forward(1)

start-tunnel-restart(1)
    Reboot the tunnel server

start-tunnel-subnet(1)
    Add, remove, or modify subnets

start-tunnel-update(1)

start-tunnel-web(1)

VERSION
v0.4.0-alpha.21